upgrade i version to g version

Hi , i have mx5 with flyme 4.5.4.1i and i want to upgrade to 5.1.2.0G
everything will work fine ?
and anyone no if this version have hebrew language ?

Meizu MX5

I upgraded from last stable “i” version to flyme 5 “g” version and everything is OK…and there is no your language… :(

Looks like your connection to Meizufans was lost, please wait while we try to reconnect.